Bug 1017223 - Better credentials handling in s-ramp (wagon and CLI)
Better credentials handling in s-ramp (wagon and CLI)
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Eric Wittmann
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 09:05 EDT by Eric Wittmann
Modified: 2015-08-02 19:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:27:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Wittmann 2013-10-09 09:05:30 EDT
Description of problem:
It's difficult for users to use the s-ramp demos now that there is no default admin password.  For all demos that use maven, the user must create a settings.xml file and store the credentials there.  Also, when using the CLI the connect command requires the credentials to be stored in the commands file just like any other command argument.

How reproducible:
Always

Steps to Reproduce:
1. Install s-ramp/dtgov
2. Try any maven based demo
3. Try using the CLI in batch mode (with a commands file)

Actual results:
Failure to authenticate to s-ramp.  User must supply a settings.xml file when using maven.  User must modify the CLI commands file when using the CLI in batch mode.

Expected results:
Prompt the user for credentials if not provided.

Additional info:
The user should be prompted for the s-ramp username/password if not supplied (via settings.xml for maven or via the CLI commands file for the CLI).
Comment 1 Eric Wittmann 2013-10-09 15:03:09 EDT
Until this BZ is resolved, users can provide credentials to maven builds via a settings.xml file.  Some documentation has been added to the s-ramp demos here:

https://github.com/Governance/s-ramp/pull/333/files

For the CLI, users must supply credentials on the argument list for the connect command.
Comment 3 Eric Wittmann 2013-10-29 09:33:43 EDT
The CLI and the Maven integration have both been changed so that they will now prompt the user for a username/password if not provided.

For the CLI, the credentials can be provided in the commands file as arguments to the 'connect' command.

For the Maven integration, credentials must be provided in a settings.xml file as required by Maven.

Again, if not provided in the above ways, each will now prompt the user to enter them.  

This should make manually running the CLI in batch mode easier.  It should also make running the s-ramp and dtgov Maven related quickstarts easier.

Note that for non-Maven related s-ramp quickstarts the credentials can be provided on the command line (no change from Beta).
Comment 4 Stefan Bunciak 2014-01-06 07:23:42 EST
Verified in FSW 6.0.0.ER8

Note You need to log in before you can comment on or make changes to this bug.